<?php
echo 'Error reporting: ' .error_level_tostring(error_reporting(), ',').'<br/>';
echo 'PHP version: ' . phpversion().'<br/>';
echo 'Server path: ' . $_SERVER["SCRIPT_FILENAME"].'<br/>';

echo 'Memory limit:'.ini_get('memory_limit').'<br/>';
echo 'Post max size:'.ini_get('post_max_size').'<br/>';
echo 'Upload max size:'.ini_get('upload_max_filesize').'<br/>';
if( ini_get('safe_mode') ){
    echo 'Safe Mode: ON';
}else{
    echo 'Safe Mode: OFF'.'<br/>';
}

$total_bytes = disk_total_space(".");
$free_bytes = disk_free_space(".");

$si_prefix = array( 'B', 'KB', 'MB', 'GB', 'TB', 'EB', 'ZB', 'YB' );
$base = 1024;

$class = min((int)log($total_bytes , $base) , count($si_prefix) - 1);
$total_bytes = sprintf('%1.2f' , $total_bytes / pow($base,$class)) . ' ' . $si_prefix[$class];

$class = min((int)log($free_bytes , $base) , count($si_prefix) - 1);
$free_bytes =  sprintf('%1.2f' , $free_bytes / pow($base,$class)) . ' ' . $si_prefix[$class];

echo 'Total / Free space: ' . $total_bytes . ' / ' . $free_bytes . '<br/>';

$inst = ( ( extension_loaded('gd') && function_exists('gd_info') ) ? 'installed' : 'not installed' );
echo 'GD Library: ' . $inst . '<br/>';

require_once 'System.php';
if( class_exists('System') ){
	echo '<b>PEAR</b> installed with the following packages: ';

	include 'PEAR/Registry.php';
	$reg = new PEAR_Registry;
	foreach ($reg->listPackages() as $package) {
		echo $package . ', ';
	}
	echo '<br/>';
}else{
	echo '<b>PEAR</b> not installed<br/>';
}

if( ! function_exists('apache_get_modules') ) {
	echo "<strong>apache_get_modules</strong> not installed";
}else{
	echo '<hr/> Apache modules <pre>';
	print_r( apache_get_modules() );
	echo '</pre> <hr/>';
}

phpinfo(INFO_MODULES);

function error_level_tostring($intval, $separator)
{
    $errorlevels = array(
        2047 => 'E_ALL',
        1024 => 'E_USER_NOTICE',
        512 => 'E_USER_WARNING',
        256 => 'E_USER_ERROR',
        128 => 'E_COMPILE_WARNING',
        64 => 'E_COMPILE_ERROR',
        32 => 'E_CORE_WARNING',
        16 => 'E_CORE_ERROR',
        8 => 'E_NOTICE',
        4 => 'E_PARSE',
        2 => 'E_WARNING',
        1 => 'E_ERROR'
	);

    $result = '';
    foreach($errorlevels as $number => $name)
    {
        if (($intval & $number) == $number) {
            $result .= ($result != '' ? $separator : '').$name; }
    }
    return $result;
}
